Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Class TreeCacheInvocationHandler

    java.lang.Object
      org.jboss.cache.TreeCacheInvocationHandler

All Implemented Interfaces:
  org.jboss.remoting.ServerInvocationHandler

public class TreeCacheInvocationHandler
extends Object
implements org.jboss.remoting.ServerInvocationHandler

TreeCacheInvocationHandler is a ServerInvocationHandler that will forward requests to the MBeanServer and return the results from the MBeanServer.

Version:
  $Id: TreeCacheInvocationHandler.java,v 1.1 2004/12/02 15:40:41 belaban Exp $
Author:
  Jeff Haynie, Bela Ban

Constructor Summary
`TreeCacheInvocationHandler()`

Method Summary
`void` | `addListener(org.jboss.remoting.InvokerCallbackHandler callbackHandler)`
`Object` | `invoke(org.jboss.remoting.InvocationRequest invocation)`
`void` | `removeListener(org.jboss.remoting.InvokerCallbackHandler callbackHandler)`
`void` | `setInvoker(org.jboss.remoting.ServerInvoker invoker)`
`void` | `setMBeanServer(javax.management.MBeanServer server)` set the mbean server that the handler can reference

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeCacheInvocationHandler

    public TreeCacheInvocationHandler()

Method Detail

### setMBeanServer

    public void setMBeanServer(javax.management.MBeanServer server)

  set the mbean server that the handler can reference

  Specified by:
    `setMBeanServer` in interface `org.jboss.remoting.ServerInvocationHandler`
  Parameters:
    `server` -

### setInvoker

    public void setInvoker(org.jboss.remoting.ServerInvoker invoker)

  Specified by:
    `setInvoker` in interface `org.jboss.remoting.ServerInvocationHandler`

### invoke

    public Object invoke(org.jboss.remoting.InvocationRequest invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.remoting.ServerInvocationHandler`
  Throws:
    `Throwable`

### addListener

    public void addListener(org.jboss.remoting.InvokerCallbackHandler callbackHandler)

  Specified by:
    `addListener` in interface `org.jboss.remoting.ServerInvocationHandler`

### removeListener

    public void removeListener(org.jboss.remoting.InvokerCallbackHandler callbackHandler)

  Specified by:
    `removeListener` in interface `org.jboss.remoting.ServerInvocationHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.